LIBRARY ieee;
USE ieee.std_logic_1164.all;

ENTITY afficheur IS
	PORT(
	entree : IN std_logic_vector(6 downto 0);
	sortie : OUT integer RANGE 0 to 15
	);
END afficheur;

ARCHITECTURE aff OF afficheur IS
BEGIN
WITH entree SELECT
	sortie <= 	0 WHEN "1111110",
				1 WHEN "0110000",
				2 WHEN "1101101",
				3 WHEN "1111001",
				4 WHEN "0110011",
				5 WHEN "1011011",
				6 WHEN "0011111",
				7 WHEN "1110000",
				8 WHEN "1111111",
				9 WHEN "1110011",
				10 WHEN "1110111",
--				11 WHEN "1111111",
-- Non implment car pas de DP.
				12 WHEN "1001110",
--				13 WHEN "1111110",
-- Non implment car pas de DP.
				14 WHEN "1001111",
				15 WHEN "1000111",
				0 WHEN OTHERS;
END aff;
