LIBRARY ieee;
USE ieee.std_logic_1164.all;
ENTITY demultiplexeur IS
	PORT(
		entree: IN std_logic;
		selecteur: IN integer RANGE 0 TO 3;
		sortie: OUT std_logic_vector(3 DOWNTO 0)
		);
	END demultiplexeur;
ARCHITECTURE demux OF demultiplexeur IS
BEGIN
WITH selecteur SELECT
sortie <=	"111" & NOT entree WHEN 0,
   			"11" & NOT entree & '1' WHEN 1,
   			'1' & NOT entree & "11" WHEN 2,
   			NOT entree & "111" WHEN 3,
   			"1111" WHEN OTHERS;
END demux;