LIBRARY ieee;
USE ieee.std_logic_1164.all;

ENTITY montage IS
	PORT(
		a,b,c,d : IN std_logic;
		lt,bi : IN std_logic;
		selecteur : IN integer RANGE 0 to 3;
		sortie : OUT integer range 0 to 15
	);
END montage;

ARCHITECTURE tp1 OF montage IS

COMPONENT multiplexeur IS
	PORT (
	a,b,c,d	: IN std_logic;
	selecteur : IN integer RANGE 0 TO 3;
	sortie  : OUT std_logic
	);
END COMPONENT;

COMPONENT demultiplexeur IS
	PORT(
		entree: IN std_logic;
		selecteur: IN integer RANGE 0 TO 3;
		sortie: OUT std_logic_vector(3 DOWNTO 0)
		);
END COMPONENT;

COMPONENT inverseur IS
	PORT (
	entree : IN std_logic_vector(3 downto 0);
	sortie : OUT std_logic_vector(3 downto 0)
	);
END COMPONENT;