COMPONENT decodeur IS
	PORT(
	entree : IN std_logic_vector(3 downto 0);
	lt,bi	: IN std_logic;
	sortie : OUT std_logic_vector(6 downto 0)
	);
END COMPONENT;

COMPONENT afficheur IS
	PORT(
	entree : IN std_logic_vector(6 downto 0);
	sortie : OUT integer RANGE 0 to 15
	);
END COMPONENT;

SIGNAL donnee0 : std_logic;
SIGNAL donnee1 : std_logic_vector(3 downto 0);
SIGNAL donnee2 : std_logic_vector(3 downto 0);
SIGNAL donnee3 : std_logic_vector(6 downto 0);
SIGNAL donnee4 : integer range 0 to 15;

BEGIN

MO1: multiplexeur PORT MAP (a,b,c,d,selecteur,donnee0);
MO2: demultiplexeur PORT MAP (donnee0,selecteur,donnee1);
MO3: inverseur PORT MAP (donnee1,donnee2);
MO4: decodeur PORT MAP (donnee2,lt,bi,donnee3);
MO5: afficheur PORT MAP (donnee3,sortie);

END tp1;