LIBRARY ieee;
USE ieee.std_logic_1164.all;

ENTITY multiplexeur IS
	PORT (
	a,b,c,d	: IN std_logic;
	selecteur : IN integer RANGE 0 TO 3;
	sortie  : OUT std_logic
	);
END multiplexeur;

ARCHITECTURE mul of multiplexeur IS
BEGIN
WITH selecteur SELECT
   	sortie <= 	a WHEN 0, 
				b WHEN 1,
				c WHEN 2,
				d WHEN 3,
				'0' WHEN OTHERS;
		      
END mul;